Bug 1015731

Summary: netinstall f20 Beta TC-1 x86_64 of sugar-desktop boots to console login
Product: [Fedora] Fedora Reporter: satellitgo
Component: sugarAssignee: Simon Schampijer <simon>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: john.j5live, mruckman, pbrobinson, satellitgo, sebastian, simon, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeAcception
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-10-10 08:44:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 980655    
Attachments:
Description Flags
Console login f20 netinstall of sugar-desktop none

Description satellitgo 2013-10-05 02:23:52 UTC
Description of problem:
netinstall f20 Beta TC-1 x86_64 of sugar-desktop boots to console login

Version-Release number of selected component (if applicable):
f20 Beta TC-1

How reproducible:

Steps to Reproduce:
1.boot CD- anaconda 20.21-1 starts; start wireless AP
2.select sugar-desktop install usb HD
3.882 files install

Actual results:
4.Reboot to console login (no lightdm or startx)


Expected results:
lightdm login to sugar with user password on reboot

Additional info:

Comment 1 satellitgo 2013-10-05 02:35:11 UTC
Created attachment 808004 [details]
Console login f20 netinstall of sugar-desktop

SoaS live boots correctly with lightdm and X

Comment 2 Mike Ruckman 2013-10-09 21:17:54 UTC
Discussed this in 2013-10-09 Blocker Review Meeting [1]. Voted an AcceptedFreezeException. This prevents sugar-desktop from booting or functioning properly after install. As a secondary DE, a tested fix would be considered after freeze. 

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-09/

Comment 3 Peter Robinson 2013-10-10 08:44:55 UTC
I was sure I closed this bug. I've added lightdm as a default DM in comps for F-20+ which will fix the problem. It was pushed on Oct 8th so should already be fixed in the latest compose.


commit 42659dc90ed34e2fe1aa0e79ab2423cb7558c6a8
Author: Peter Robinson <pbrobinson@gmail.com>
Date:   Tue Oct 8 07:56:13 2013 +0100

    SoaS: Add a default desktop manager for when installing via anaconda